I installed Ubuntu 10.10 (upgraded from 10.04) and the catalyst control center shows that I am running FGLRX 10.7 .... ???

Whats going on? Anyone else have this problem?